/***************************************************************************
                          basicwidget.h  -  description
                             -------------------
    begin                : Don Nov 14 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BASICWIDGET_H
#define BASICWIDGET_H

#include <stdlib.h>

#include <qwidget.h>
#include <qlabel.h>
#include <kprogress.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <kpushbutton.h>                              
#include <klocale.h>

#include "constants.h"
#include "options.h"
#include "pollingspinbox.h"

#include "wcard.h"

/**
  *@author Matthias Reif
  */

class BasicWidget : public QWidget  {
   Q_OBJECT
public: 
	BasicWidget(WCard *pCard, Options *pOptions, QWidget *parent=0, const char *name=0);
	~BasicWidget();
  /** No descriptions */
  void setLink(int link, int avg, int signal, int noise);

protected:

  WCard     *card;
  Options   *options;

  QLabel    *deviceLabel;
  KLineEdit *deviceEdit;

  QLabel    *IPLabel1;
  QLabel    *IPLabel2;

  QLabel    *linkLabel;
  KProgress *linkBar;
  QLabel    *linkErrLabel;

  QLabel    *avgLabel;
  KProgress *avgBar;
  QLabel    *avgErrLabel;
  
  QLabel    *signalLabel1;
  KProgress *signalBar;
  QLabel    *signalLabel2;

  QLabel    *noiseLabel1;
  KProgress *noiseBar;
  QLabel    *noiseLabel2;  
  
  QLabel    *modeLabel;
  KComboBox *modeCombo;
  QLabel    *modeErrLabel;

  QLabel    *encodeLabel1;
  QLabel    *encodeLabel2;

  QString   *notString;

  QLabel          *pollingLabel1;
  QLabel          *pollingLabel2;
  PollingSpinBox  *pollingSpin;

public slots: // Public slots
  /** No descriptions */
  void slotApply();
  /** No descriptions */
  void slotMode(int index);  

  
};

#endif
