/***************************************************************************
                          infowidget.h  -  description
                             -------------------
    begin                : Don Nov 14 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INFOWIDGET_H
#define INFOWIDGET_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qwidget.h>
#include <qlabel.h>
#include <qpainter.h>
#include <qimage.h>
#include <klocale.h>

#include "options.h"
#include "constants.h"

/**
  *@author Matthias Reif
  */

class InfoWidget : public QWidget  {
   Q_OBJECT
public: 
	InfoWidget(Options *pOptions, QWidget *parent=0, const char *name=0);
	~InfoWidget();

protected:
  Options *options;

  QLabel *authorLabel1;
  QLabel *authorLabel2;

  QLabel *homepageLabel1;
  QLabel *homepageLabel2;

  QLabel *versionLabel1;
  QLabel *versionLabel2;

  QLabel *licenseLabel1;
  QLabel *licenseLabel2;

  QImage *logoImage;
protected: // Protected methods
  /** No descriptions */
  void paintEvent(QPaintEvent *ev);
        
};

#endif
