/***************************************************************************
                          wwidget.cpp  -  description
                             -------------------
    begin                : Die Nov 12 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "wwidget.h"

WWidget::WWidget(WCard *pCard, Options *pOptions, QWidget *parent, const char *name ) : QWidget(parent,name)
{

  options = pOptions;

  tab = new KTabCtl(this);
  tab->move(5, 5);
  tab->resize(270, 310);
  tab->show();

  basicWidget = new BasicWidget(pCard, options, tab, "Basic");
  tab->addTab(basicWidget, i18n ("Basic"));
  extendedWidget = new ExtendedWidget(pCard, tab, "Extended");
  tab->addTab(extendedWidget, i18n ("Extended"));
  aPointWidget = new APointWidget(pCard, tab, "AP");
  tab->addTab(aPointWidget, i18n ("AP"));
  infoWidget = new InfoWidget(options, tab, "Info");
  tab->addTab(infoWidget, i18n ("Info"));
  
  connect(tab, SIGNAL(tabSelected(int)), extendedWidget, SLOT(slotAct()));
  
  closeButton = new KPushButton(this);
  closeButton->setText(i18n ("&OK"));
  closeButton->move(170, 320);
  closeButton->show();

  connect(closeButton, SIGNAL(clicked()), this, SLOT(slotClose()));

  connect(tab, SIGNAL(tabSelected(int)), this, SLOT(slotExtended(int)));

}

WWidget::~WWidget()
{
  
}

/** No descriptions */
int WWidget::act(int link, int avg, int signal, int noise)
{
  if( tab->isTabEnabled("Basic") )
  {
    basicWidget->slotApply();
    basicWidget->setLink(link, avg, signal, noise);
  }
  if( tab->isTabEnabled("Extended") )
  {
    extendedWidget->slotAct();
  }
  if( tab->isTabEnabled("AP") )
  {
    aPointWidget->slotAct();
  }
  
}

/** No descriptions */
void WWidget::slotClose()
{
  hide();
}
/** No descriptions */
void WWidget::slotExtended(int index)
{
  if(index==1)
    extendedWidget->slotBitRates();
}
